GET api/contractapi/contract/{id}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters

None.

Response Information

Resource Description

ContractViewModel
NameDescriptionTypeAdditional information
selected_nameplate_id

globally unique identifier

None.

selected_sticker_id

globally unique identifier

None.

washing_processes

Collection of WashingProcessViewModel

None.

active

boolean

Required

certificate_type_id

globally unique identifier

Required

code

integer

None.

delay_between_scans

integer

None.

id

globally unique identifier

None.

internal_reference

string

String length: inclusive between 0 and 50

item_wash_max

integer

None.

language_code

string

Required

String length: inclusive between 0 and 10

name

string

Required

String length: inclusive between 0 and 100

packaging_type_id

globally unique identifier

Required

packing_type_id

globally unique identifier

Required

particles_control

boolean

Required

peremption_month

integer

None.

peremption_print_cleanroom

boolean

Required

peremption_print_date

boolean

Required

peremption_print_expedition

boolean

Required

permanent_management

boolean

Required

pool_id

globally unique identifier

None.

remark

string

None.

site_customer_id

globally unique identifier

Required

sorting_type_id

globally unique identifier

Required

type

string

Required

String length: inclusive between 0 and 1

Response Formats

application/json, text/json

Sample:
{
  "selected_nameplate_id": "f0e114ef-0e6d-43c8-8419-6fd75c57bc2a",
  "selected_sticker_id": "a7289bf7-f12f-4798-96db-39016c65d77f",
  "washing_processes": [
    {
      "descriptions": {
        "sample string 1": "sample string 2",
        "sample string 3": "sample string 4"
      },
      "active": true,
      "code": "sample string 2",
      "id": "6265ebe8-4fae-4ab0-ad9b-cd6490cb66d2",
      "site_id": "7cd03028-02be-40d3-a654-c8c3df815fcd"
    },
    {
      "descriptions": {
        "sample string 1": "sample string 2",
        "sample string 3": "sample string 4"
      },
      "active": true,
      "code": "sample string 2",
      "id": "6265ebe8-4fae-4ab0-ad9b-cd6490cb66d2",
      "site_id": "7cd03028-02be-40d3-a654-c8c3df815fcd"
    }
  ],
  "active": true,
  "certificate_type_id": "f5ab07e0-6b06-480a-9977-94b3dc55868e",
  "code": 1,
  "delay_between_scans": 1,
  "id": "a928b5a9-a13c-4bdf-a1bf-2ba4c0a81054",
  "internal_reference": "sample string 4",
  "item_wash_max": 1,
  "language_code": "sample string 5",
  "name": "sample string 6",
  "packaging_type_id": "c5a5ef39-f4de-4fce-93b5-572d973351a3",
  "packing_type_id": "62b8ab41-dee5-4c3b-8104-b2f9b3d8c1dd",
  "particles_control": true,
  "peremption_month": 1,
  "peremption_print_cleanroom": true,
  "peremption_print_date": true,
  "peremption_print_expedition": true,
  "permanent_management": true,
  "pool_id": "1ddd6a25-0689-4d6f-9fa8-f70de679eb65",
  "remark": "sample string 14",
  "site_customer_id": "e9d3c6e6-945f-4c8d-b7b4-2dc583338314",
  "sorting_type_id": "78cc63ca-a58a-4f7e-80e3-3e3fd43651d3",
  "type": "sample string 17"
}

application/xml, text/xml

Sample:
<contract xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <active>true</active>
  <certificate_type_id>f5ab07e0-6b06-480a-9977-94b3dc55868e</certificate_type_id>
  <code>1</code>
  <delay_between_scans>1</delay_between_scans>
  <id>a928b5a9-a13c-4bdf-a1bf-2ba4c0a81054</id>
  <internal_reference>sample string 4</internal_reference>
  <item_wash_max>1</item_wash_max>
  <language_code>sample string 5</language_code>
  <name>sample string 6</name>
  <packaging_type_id>c5a5ef39-f4de-4fce-93b5-572d973351a3</packaging_type_id>
  <packing_type_id>62b8ab41-dee5-4c3b-8104-b2f9b3d8c1dd</packing_type_id>
  <particles_control>true</particles_control>
  <peremption_month>1</peremption_month>
  <peremption_print_cleanroom>true</peremption_print_cleanroom>
  <peremption_print_date>true</peremption_print_date>
  <peremption_print_expedition>true</peremption_print_expedition>
  <permanent_management>true</permanent_management>
  <pool_id>1ddd6a25-0689-4d6f-9fa8-f70de679eb65</pool_id>
  <remark>sample string 14</remark>
  <site_customer_id>e9d3c6e6-945f-4c8d-b7b4-2dc583338314</site_customer_id>
  <sorting_type_id>78cc63ca-a58a-4f7e-80e3-3e3fd43651d3</sorting_type_id>
  <type>sample string 17</type>
  <selected_nameplate_id>f0e114ef-0e6d-43c8-8419-6fd75c57bc2a</selected_nameplate_id>
  <selected_sticker_id>a7289bf7-f12f-4798-96db-39016c65d77f</selected_sticker_id>
  <washing_processes>
    <washing_process>
      <active>true</active>
      <code>sample string 2</code>
      <id>6265ebe8-4fae-4ab0-ad9b-cd6490cb66d2</id>
      <site_id>7cd03028-02be-40d3-a654-c8c3df815fcd</site_id>
      <descriptions xmlns:d4p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
        <d4p1:KeyValueOfstringstring>
          <d4p1:Key>sample string 1</d4p1:Key>
          <d4p1:Value>sample string 2</d4p1:Value>
        </d4p1:KeyValueOfstringstring>
        <d4p1:KeyValueOfstringstring>
          <d4p1:Key>sample string 3</d4p1:Key>
          <d4p1:Value>sample string 4</d4p1:Value>
        </d4p1:KeyValueOfstringstring>
      </descriptions>
    </washing_process>
    <washing_process>
      <active>true</active>
      <code>sample string 2</code>
      <id>6265ebe8-4fae-4ab0-ad9b-cd6490cb66d2</id>
      <site_id>7cd03028-02be-40d3-a654-c8c3df815fcd</site_id>
      <descriptions xmlns:d4p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
        <d4p1:KeyValueOfstringstring>
          <d4p1:Key>sample string 1</d4p1:Key>
          <d4p1:Value>sample string 2</d4p1:Value>
        </d4p1:KeyValueOfstringstring>
        <d4p1:KeyValueOfstringstring>
          <d4p1:Key>sample string 3</d4p1:Key>
          <d4p1:Value>sample string 4</d4p1:Value>
        </d4p1:KeyValueOfstringstring>
      </descriptions>
    </washing_process>
  </washing_processes>
</contract>